v4.6.2 Release Announcement

We are pleased to announce the release of PSCAD™/EMTDC™ v4.6.2.

Download v4.6.2

Professional license users with active software maintenance and educational license users are eligible for this update at no cost.  Please log in to your MyCentre account and visit the 'Downloads' tab to obtain the v4.6.2 software installation files. 

If you do not have a MyCentre account, please click here to register and then contact sales@pscad.com to provide you with access.

Note that the standard number of Parallel Simulations will increase from 4 to 8 in this release. The highly anticipated PSCAD Automation Library is also available with v4.6.2. Please click here to learn more and get started. 

Compatibility

Certificate Licensing:
Commercial users – A PSCAD v4.6.2 certificate can be used to run v4.5.3 - v4.6.2.
Educational users – A PSCAD v4.6.2 certificate can be used to run v4.5.4 - v4.6.2.

Dongle-based Licensing:
A PSCAD v4.6.1 license can be used to run PSCAD v4.2 - v4.6.2.

Compaq Fortran Compiler:
The Compaq Fortran Compiler is supported in PSCAD v4.5.5 and earlier; however, support has been discontinued in v4.6.

Note that PSCAD is supported on any computer running Microsoft® Windows Vista SP1 and Windows 7 SP1, and some users are successfully running it on Windows 8 and Windows 10.  Windows XP is not supported.

For more detailed information about this patch, please click here.

Need Help?

We are committed, as we have been for over 35 years, to provide you with the exceptional level of technical support that you are accustomed to. Our PSCAD Technical Support team is composed of over 20 dedicated engineers that are ready to assist you. Please contact us at support@pscad.com.

Thank you for your continued support!

Back